petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscStageLogRegister

Registers a stage name for logging operations in an application code.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogRegister(PetscStageLog stageLog, const char sname[], int *stage)

Not Collective

### Input Parameter

| stageLog | - The PetscStageLog
| sname | - the name to associate with that stage

### Output Parameter

stage -The stage index

### Keywords

log, stage, register

### See Also

PetscStageLogPush(), PetscStageLogPop(), PetscStageLogCreate()

### Level

developer

### Location

src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages